"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSchemaModuleMatch = exports.isSchemaModule = exports.SchemaModuleNamespaceMap = exports.SchemaModuleLabel = void 0;
exports.SchemaModuleLabel = ["core", "health-lifesci", "pending", "bib", "meta", "auto", "attic"];
exports.SchemaModuleNamespaceMap = {
    core: "//schema.org",
    "health-lifesci": "//health-lifesci.schema.org",
    pending: "//pending.schema.org",
    bib: "//bib.schema.org",
    meta: "//meta.schema.org",
    auto: "//auto.schema.org",
    attic: "//attic.schema.org"
};
function isSchemaModule(value) {
    return Object.keys(exports.SchemaModuleNamespaceMap).includes(value);
}
exports.isSchemaModule = isSchemaModule;
function getSchemaModuleMatch(termVocabulary) {
    for (const k of Object.keys(exports.SchemaModuleNamespaceMap)) {
        if (termVocabulary.includes(exports.SchemaModuleNamespaceMap[k])) {
            return k;
        }
    }
    return null;
}
exports.getSchemaModuleMatch = getSchemaModuleMatch;
//# sourceMappingURL=schemaModules.js.map