"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.outputTransformation = void 0;
const toAbsoluteIRI_1 = require("./toAbsoluteIRI");
const isString_1 = require("./isString");
const isArrayOfStrings_1 = require("./isArrayOfStrings");
function outputTransformation(input, graph, outputFormat) {
    const format = outputFormat ? outputFormat : graph.outputFormat;
    if (format === "Compact") {
        return input;
    }
    if ((0, isString_1.isString)(input)) {
        return (0, toAbsoluteIRI_1.toAbsoluteIRI)(input, graph.context);
    }
    else if ((0, isArrayOfStrings_1.isArrayOfStrings)(input)) {
        return input.map((s) => (0, toAbsoluteIRI_1.toAbsoluteIRI)(s, graph.context));
    }
    throw new Error("Wrong input type! - must be string or array of strings");
}
exports.outputTransformation = outputTransformation;
//# sourceMappingURL=outputTransformation.js.map