"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkVocabNodeType = void 0;
const namespaces_1 = require("../../data/namespaces");
const isString_1 = require("../general/isString");
const isArray_1 = require("../general/isArray");
function checkVocabNodeType(types) {
    if ((0, isString_1.isString)(types)) {
        if (types === namespaces_1.TermTypeIRI.class) {
            return namespaces_1.TermTypeLabel.class;
        }
        if (types === namespaces_1.TermTypeIRI.property) {
            return namespaces_1.TermTypeLabel.property;
        }
        return namespaces_1.TermTypeLabel.enumerationMember;
    }
    else if ((0, isArray_1.isArray)(types)) {
        if (types.length === 2 && types.includes(namespaces_1.TermTypeIRI.class) && types.includes(namespaces_1.TermTypeIRI.dataType)) {
            return namespaces_1.TermTypeLabel.dataType;
        }
        else {
            return namespaces_1.TermTypeLabel.enumerationMember;
        }
    }
    throw new Error("Unexpected @type format: " + types);
}
exports.checkVocabNodeType = checkVocabNodeType;
//# sourceMappingURL=checkVocabNodeType.js.map