"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nodeMergeAddIds = void 0;
const isNil_1 = require("../general/isNil");
const isArray_1 = require("../general/isArray");
function nodeMergeAddIds(oldNode, newNode, property) {
    if (!(0, isNil_1.isNil)(newNode[property])) {
        let newValues = newNode[property];
        if (!(0, isArray_1.isArray)(newValues)) {
            newValues = [newValues];
        }
        for (const arrayElement of newValues) {
            if (!(0, isArray_1.isArray)(oldNode[property])) {
                if (oldNode[property] !== arrayElement) {
                    oldNode[property] = [oldNode[property], arrayElement];
                }
            }
            else if (!oldNode[property].includes(arrayElement)) {
                oldNode[property].push(arrayElement);
            }
        }
    }
}
exports.nodeMergeAddIds = nodeMergeAddIds;
//# sourceMappingURL=nodeMergeAddIds.js.map